package tech.powerjob.work.scheduleWork.BigData;


import lombok.extern.slf4j.Slf4j;
import org.pentaho.di.core.exception.KettleException;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;
import tech.powerjob.work.util.ReturnMsg;

import static tech.powerjob.work.util.runTransfer.runTransfer;

@Slf4j
@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "UTF-8")
public class BigDataPerMonth implements BasicProcessor {
    @Value("${Kettle.INRIVERBERTH}")
    private String inRiverBerth;
    @Value("${Kettle.SEAORGANIZATION}")
    private String seaOrganization;
    @Value("${Kettle.HELPMATERIALLOCATION}")
    private String helpMaterialLocation;
    @Value("${Kettle.OVERWATERSERVER}")
    private String overWaterServer;
    @Value("${Kettle.SOCIALHELPPOWER}")
    private String socialHelpPower;
    @Value("${Kettle.DANGERBOATATITUDEPREWARNING}")
    private String dangerBoatAtitudePreWarning;
    @Value("${Kettle.GHHANGYELAW}")
    private String ghHangYeLaw;
    @Value("${Kettle.INRIVERFAIRWAYBOUY}")
    private String inRiverFairwayBouy;
    @Value("${Kettle.EMERGENCYLINKAGE}")
    private String emergencyLinkage;

    @Override
    public ProcessResult process(TaskContext taskContext) {
        StringBuilder builder = new StringBuilder();
        try {
            runTransfer(inRiverBerth);
        } catch (KettleException e) {
            e.printStackTrace();
            builder.append(inRiverBerth).append("   ");
            log.error(inRiverBerth + "出现异常", e.getMessage());
        }
        try {
            runTransfer(seaOrganization);
        } catch (KettleException e) {
            e.printStackTrace();
            builder.append(seaOrganization).append("     ");
            log.error(seaOrganization + "出现异常{}", e.getMessage());
        }
        try {
            runTransfer(helpMaterialLocation);
        } catch (KettleException e) {
            e.printStackTrace();
            builder.append(helpMaterialLocation).append("     ");
            log.error(helpMaterialLocation + "出现异常{}", e.getMessage());
        }
        try {
            runTransfer(overWaterServer);
        } catch (KettleException e) {
            e.printStackTrace();
            builder.append(overWaterServer).append("     ");
            log.error(overWaterServer + "出现异常{}", e.getMessage());
        }
        try {
            runTransfer(socialHelpPower);
        } catch (KettleException e) {
            e.printStackTrace();
            builder.append(socialHelpPower).append("     ");
            log.error(socialHelpPower + "出现异常{}", e.getMessage());
        }
        try {
            runTransfer(dangerBoatAtitudePreWarning);
        } catch (KettleException e) {
            e.printStackTrace();
            builder.append(dangerBoatAtitudePreWarning).append("     ");
            log.error(dangerBoatAtitudePreWarning + "出现异常{}", e.getMessage());
        }
        try {
            runTransfer(ghHangYeLaw);
        } catch (KettleException e) {
            e.printStackTrace();
            builder.append(ghHangYeLaw).append("     ");
            log.error(ghHangYeLaw + "出现异常{}", e.getMessage());
        }
        try {
            runTransfer(inRiverBerth);
        } catch (KettleException e) {
            e.printStackTrace();
            builder.append(inRiverBerth).append("     ");
            log.error(inRiverBerth + "出现异常{}", e.getMessage());
        }
        try {
            runTransfer(inRiverFairwayBouy);
        } catch (KettleException e) {
            e.printStackTrace();
            builder.append(inRiverFairwayBouy).append("     ");
            log.error(inRiverFairwayBouy + "出现异常{}", e.getMessage());
        }
        try {
            runTransfer(emergencyLinkage);
        } catch (KettleException e) {
            e.printStackTrace();
            builder.append(emergencyLinkage).append("     ");
            log.error(emergencyLinkage + "出现异常{}", e.getMessage());
        }
        if (builder.length() > 0) {
            return ReturnMsg.returnMsg(false, builder.toString());
        } else {
            return ReturnMsg.returnMsg(true, "执行成功");
        }
    }
}
