package tech.powerjob.work.scheduleWork.DangerOperateBoat;

import tech.powerjob.work.util.ReturnMsg;
import lombok.extern.slf4j.Slf4j;
import org.pentaho.di.core.exception.KettleException;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;

import static tech.powerjob.work.util.runTransfer.runTransfer;

//具有危险品运营资质船舶信息同步
@Slf4j
@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "UTF-8")
public class DangerOperateBoatJob implements BasicProcessor {
    @Value("${Kettle.DangerBoatInfo}")
    private String dangerOperateBoat;
    @Override
    public ProcessResult process(TaskContext taskContext){
        try {
            runTransfer(dangerOperateBoat);
        } catch (KettleException e) {
            e.printStackTrace();
            log.error(dangerOperateBoat + "出现异常{}",e.getMessage());
            return ReturnMsg.returnMsg(false,dangerOperateBoat);
        }
        return ReturnMsg.returnMsg(true,"执行成功");
    }
}
