package tech.powerjob.work.scheduleWork.DataShareEveryDay;


import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;

import static tech.powerjob.work.util.runTransfer.runTransfer;

import tech.powerjob.work.util.ReturnMsg;


@Component
@Slf4j
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "UTF-8")
public class DataShareEveryDayJob implements BasicProcessor {
    @Value("${Kettle.DATASHAREINRIVERBERTH}")
    public String inRiverBerth;
    @Value("${Kettle.DATASHERSOCAILPOWER}")
    public String socialPower;
    @Value("${Kettle.DATASHEREMERGENCY}")
    public String emergency;
    @Value("${Kettle.DATASHARERFIDBASE}")
    public String rfidBase;
    @Value("${Kettle.DATASHARESEGMENT}")
    public String segment;
    @Value("${Kettle.DATASHARESHORELINE}")
    public String shoreLine;
    @Value("${Kettle.DATASHAREPUBLICTRAFFIC}")
    public String publicTraffic;
    @Value("${Kettle.DATASHAREWATERDEEP}")
    public String waterDeep;
    @Value("${Kettle.DATASHARESHIPLOCK}")
    private String shipLock;
    @Value("${Kettle.DATASHAREBERTHINFOOUT}")
    private String berthInfoOut;
    @Value("${Kettle.DATASHAREHPJLINEPIPE}")
    public String hpjLinePipe;
    @Value("${Kettle.DATASHARESEAINSTITUTE}")
    public String seaInstitute;
    @Value("${Kettle.DATASHAREOVERRIVERBASE}")
    public String overRiverBase;
    @Value("${Kettle.DATASHAREHPJHIGHVOLTAGE}")
    public String hpjHighVoltage;
    @Value("${Kettle.DATASHAREMARITIMESTATION}")
    public String maritimeStation;
//    @Value("${Kettle.DATASHAREPROFESSIONALCLEANRE}")
//    private String professionalClean;
    @Value("${Kettle.DATASHAREOUTPASSENGER}")
    private String outPassenger;
    @Value("${Kettle.DATASHAREPORTWORK}")
    private String portWork;
    @Value("${Kettle.DATASHARECHANNELSIGN}")
    private String channelSign;
    @Value("${Kettle.DATASHAREAISBASE}")
    private String aisBase;
    @Value("${Kettle.DATASHAREWATERGETTING}")
    private String waterGetting;
    @Value("${Kettle.DATASHAREHPJUNDERWATERCHANNEL}")
    private String hpjUnderWaterChannel;


    @Override
    public ProcessResult process(TaskContext taskContext) {
        StringBuilder builder = new StringBuilder();
        try {
            runTransfer(inRiverBerth);
        } catch (Exception e) {
            e.printStackTrace();
            log.error(inRiverBerth + "异常{}", e.getMessage());
            builder.append(inRiverBerth).append("     ");
        }
        try {
            runTransfer(socialPower);
        } catch (Exception e) {
            e.printStackTrace();
            log.error(socialPower + "异常{}", e.getMessage());
            builder.append(socialPower).append("     ");
        }
        try {
            runTransfer(emergency);
        } catch (Exception e) {
            e.printStackTrace();
            log.error(emergency + "异常{}", e.getMessage());
            builder.append(emergency).append("     ");
        }
        try {
            runTransfer(rfidBase);
        } catch (Exception e) {
            e.printStackTrace();
            log.error(rfidBase + "异常{}", e.getMessage());
            builder.append(rfidBase).append("     ");
        }
        try {
            runTransfer(segment);
        } catch (Exception e) {
            e.printStackTrace();
            log.error(segment + "异常{}", e.getMessage());
            builder.append(segment).append("     ");
        }
        try {
            runTransfer(shoreLine);
        } catch (Exception e) {
            e.printStackTrace();
            log.error(shoreLine + "异常{}", e.getMessage());
            builder.append(shoreLine).append("     ");
        }
        try {
            runTransfer(publicTraffic);
        } catch (Exception e) {
            e.printStackTrace();
            log.error(publicTraffic + "异常{}", e.getMessage());
            builder.append(publicTraffic).append("     ");
        }
        try {
            runTransfer(waterDeep);
        } catch (Exception e) {
            e.printStackTrace();
            log.error(waterDeep + "异常{}", e.getMessage());
            builder.append(waterDeep).append("     ");
        }
        try {
            runTransfer(shipLock);
        } catch (Exception e) {
            e.printStackTrace();
            log.error(shipLock + "异常{}", e.getMessage());
            builder.append(shipLock).append("     ");
        }
        try {
            runTransfer(berthInfoOut);
        } catch (Exception e) {
            e.printStackTrace();
            log.error(berthInfoOut + "异常{}", e.getMessage());
            builder.append(berthInfoOut).append("     ");
        }
        try {
            runTransfer(hpjLinePipe);
        } catch (Exception e) {
            e.printStackTrace();
            log.error(hpjLinePipe + "异常{}", e.getMessage());
            builder.append(hpjLinePipe).append("     ");
        }
        try {
            runTransfer(seaInstitute);
        } catch (Exception e) {
            e.printStackTrace();
            log.error(seaInstitute + "异常{}", e.getMessage());
            builder.append(seaInstitute).append("     ");
        }
        try {
            runTransfer(overRiverBase);
        } catch (Exception e) {
            e.printStackTrace();
            log.error(overRiverBase + "异常{}", e.getMessage());
            builder.append(overRiverBase).append("     ");
        }
        try {
            runTransfer(hpjHighVoltage);
        } catch (Exception e) {
            e.printStackTrace();
            log.error(hpjHighVoltage + "异常{}", e.getMessage());
            builder.append(hpjHighVoltage).append("     ");
        }
        try {
            runTransfer(maritimeStation);
        } catch (Exception e) {
            e.printStackTrace();
            log.error(maritimeStation + "异常{}", e.getMessage());
            builder.append(maritimeStation).append("     ");
        }
//        try {
//            runTransfer(professionalClean);
//        } catch (Exception e) {
//            e.printStackTrace();
//            log.error(professionalClean + "异常{}", e.getMessage());
//            builder.append(professionalClean).append("     ");
//        }
        try {
            runTransfer(outPassenger);
        } catch (Exception e) {
            e.printStackTrace();
            log.error(outPassenger + "异常{}", e.getMessage());
            builder.append(outPassenger).append("     ");
        }
        try {
            runTransfer(portWork);
        } catch (Exception e) {
            e.printStackTrace();
            log.error(portWork + "异常{}", e.getMessage());
            builder.append(portWork).append("     ");
        }
        try {
            runTransfer(channelSign);
        } catch (Exception e) {
            e.printStackTrace();
            log.error(channelSign + "异常{}", e.getMessage());
            builder.append(channelSign).append("     ");
        }
        try {
            runTransfer(aisBase);
        } catch (Exception e) {
            e.printStackTrace();
            log.error(aisBase + "异常{}", e.getMessage());
            builder.append(aisBase).append("     ");
        }
        try {
            runTransfer(waterGetting);
        } catch (Exception e) {
            e.printStackTrace();
            log.error(waterGetting + "异常{}", e.getMessage());
            builder.append(waterGetting).append("     ");
        }
        try {
            runTransfer(hpjUnderWaterChannel);
        } catch (Exception e) {
            e.printStackTrace();
            log.error(hpjUnderWaterChannel + "异常{}", e.getMessage());
            builder.append(hpjUnderWaterChannel).append("     ");
        }
        if (builder.length() > 0) {
            return ReturnMsg.returnMsg(false, builder.toString());
        } else {
            return ReturnMsg.returnMsg(true, "执行成功");
        }

    }
}
