package tech.powerjob.work.scheduleWork.DataShareFiveMinute;


import lombok.extern.slf4j.Slf4j;
import org.pentaho.di.core.exception.KettleException;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;

import static tech.powerjob.work.util.runTransfer.runTransfer;
import tech.powerjob.work.util.ReturnMsg;

@Component
@Slf4j
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "UTF-8")
public class DataShareCongestion implements BasicProcessor {
    @Value("${Kettle.DataShareChannelCongestion}")
    private String congestion;


    @Override
    public ProcessResult process(TaskContext taskContext) {
        try {
            runTransfer(congestion);
        } catch (KettleException e) {
            e.printStackTrace();
            log.error(congestion + "执行异常{}",e.getMessage());
            return ReturnMsg.returnMsg(false,congestion + " 执行失败");
        }
        return ReturnMsg.returnMsg(true,congestion + " 执行成功");
    }
}
