package tech.powerjob.work.scheduleWork.DataShareFiveMinute;

import lombok.extern.slf4j.Slf4j;
import org.pentaho.di.core.exception.KettleException;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;

import static tech.powerjob.work.util.runTransfer.runTransfer;
import tech.powerjob.work.util.ReturnMsg;
@Slf4j
@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "UTF-8")
public class DataSharePollutionJob implements BasicProcessor {
    @Value("${Kettle.DataShareShipPollution}")
    public String dataShareShipPollution;


    @Override
    public ProcessResult process(TaskContext taskContext) {
        try {
            runTransfer(dataShareShipPollution);
        } catch (KettleException e) {
            e.printStackTrace();
            log.error(dataShareShipPollution + "执行异常{}",e.getMessage());
            return ReturnMsg.returnMsg(false,dataShareShipPollution + "执行异常");
        }
        return ReturnMsg.returnMsg(true,dataShareShipPollution + "执行成功");
    }
}
