package tech.powerjob.work.scheduleWork.Declare;


import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;

import static tech.powerjob.work.util.runTransfer.runTransfer;
import tech.powerjob.work.util.ReturnMsg;
@Slf4j
@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "UTF-8")
public class SbJob implements BasicProcessor {
    @Value("${Kettle.Oth05.sb_job_with_no_main}")
    private String sbWithNoMain;
    @Override
    public ProcessResult process(TaskContext taskContext) {
        try{
            runTransfer(sbWithNoMain);
        }catch (Exception e){
            e.getMessage();
            log.error(sbWithNoMain + "异常{}",  e.getMessage());
            return ReturnMsg.returnMsg(false,sbWithNoMain + "异常");
        }
        return ReturnMsg.returnMsg(true,sbWithNoMain + "成功");
    }
}
