package tech.powerjob.work.scheduleWork.EverySeason;

import lombok.extern.slf4j.Slf4j;
import org.pentaho.di.core.exception.KettleException;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;

import static tech.powerjob.work.util.runTransfer.runTransfer;
import tech.powerjob.work.util.ReturnMsg;
//每季度
@Slf4j
@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "UTF-8")
public class HangDaoSignJob implements BasicProcessor {
    @Value("${Kettle.EverySeasonHangDaoSign}")
    private String kettlePath;
    public ProcessResult process(TaskContext param){
        try {
            runTransfer(kettlePath);
        } catch (KettleException e) {
            e.printStackTrace();
            log.error( kettlePath + "异常{}",e.getMessage());
            return ReturnMsg.returnMsg(false,kettlePath);
        }
        return ReturnMsg.returnMsg(true,"成功");
    }
}
