package tech.powerjob.work.scheduleWork.EveryYear;

import lombok.extern.slf4j.Slf4j;
import org.pentaho.di.core.exception.KettleException;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;
import tech.powerjob.work.util.ReturnMsg;
import static tech.powerjob.work.util.runTransfer.runTransfer;

@Slf4j
@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "UTF-8")
public class EveryYearJob implements BasicProcessor {
//    @Value("${Kettle.YHSS}")
//    private String yhss;
    @Value("${Kettle.SHYJJZLL}")
    private String shyjjzll;
    @Value("${Kettle.DLD}")
    private String dld;
    @Value("${Kettle.HSZ}")
    private String hsz;
    @Value("${Kettle.RFIDBase}")
    private String rfidBase;
    @Value("${Kettle.HSS}")
    private String hss;
    @Value("${Kettle.AISBase}")
    private String aisBase;
    @Value("${Kettle.CHANNEL}")
    private String channel;
//    @Value("${Kettle.WEATHERWARNING}")
//    private String weatherWarning;
//    @Value("${Kettle.SECTOR}")
//    private String sector;
//    @Value("${Kettle.WEATHERUNWARNING}")
//    private String weatherUnwarning;
    @Value("${Kettle.INRIVERVIDEO}")
    private String inRiverVideo;
//    @Value("${Kettle.WEATHERELECTRICALTRANSMISSION}")
//    private String weatherElectricalTransmission;
    @Value("${Kettle.YJWZ}")
    private String yjwz;
//    @Value("${Kettle.WEATHEREXTENDUPDATE}")
//    private String weatherExtendUpdate;
    @Override
    public ProcessResult process(TaskContext param){
        StringBuilder builder = new StringBuilder();
//        try {
//            runTransfer(yhss);
//        } catch (KettleException e) {
//            e.printStackTrace();
//            log.error("异常{}", e.getMessage());
//            builder.append(yhss).append("       ");
//        }
        try {
            runTransfer(shyjjzll);
        } catch (KettleException e) {
            e.printStackTrace();
            log.error(e.getMessage() + shyjjzll);
            builder.append(shyjjzll).append("   ");
        }
        try {
            runTransfer(dld);
        } catch (KettleException e) {
            e.printStackTrace();
            log.error( dld + "异常{}",e.getMessage());
            builder.append(dld).append("    ");
        }
        try {
            runTransfer(hsz);
        } catch (KettleException e) {
            e.printStackTrace();
            log.error( hsz + "异常{}",e.getMessage());
            builder.append(hsz).append("    ");
        }
        try {
            runTransfer(rfidBase);
        } catch (KettleException e) {
            e.printStackTrace();
            log.error(rfidBase + "异常{}",e.getMessage());
            builder.append(rfidBase).append("  ");
        }
        try {
            runTransfer(hss);
        } catch (KettleException e) {
            e.printStackTrace();
            log.error(hss + "异常{}",e.getMessage());
            builder.append(hss).append("   ");
        }
        try {
            runTransfer(aisBase);
        } catch (KettleException e) {
            e.printStackTrace();
            log.error( aisBase + "异常{}",e.getMessage());
            builder.append(aisBase).append(";");
        }
        try {
            runTransfer(channel);
        } catch (KettleException e) {
            e.printStackTrace();
            log.error( channel + "异常{}",e.getMessage());
            builder.append(channel).append(";");
        }
//        try {
//            runTransfer(weatherWarning);
//        } catch (KettleException e) {
//            e.printStackTrace();
//            log.error(weatherWarning + "异常{}",e.getMessage());
//            builder.append(weatherWarning).append(";");
//        }
//        try {
//            runTransfer(weatherUnwarning);
//        } catch (KettleException e) {
//            e.printStackTrace();
//            log.error(weatherUnwarning + "异常{}", e.getMessage());
//            builder.append(weatherUnwarning).append(";");
//        }
        try {
            runTransfer(inRiverVideo);
        } catch (KettleException e) {
            e.printStackTrace();
            log.error(inRiverVideo + "异常{}", e.getMessage());
            builder.append(inRiverVideo).append(";");
        }
//        try {
//            runTransfer(weatherElectricalTransmission);
//        } catch (KettleException e) {
//            e.printStackTrace();
//            log.error(weatherElectricalTransmission + "异常{}",e.getMessage());
//            builder.append(weatherElectricalTransmission).append(";");
//        }
        try {
            runTransfer(yjwz);
        } catch (KettleException e) {
            e.printStackTrace();
            log.error(yjwz + "异常{}",e.getMessage());
            builder.append(yjwz).append(";");
        }
//        try {
//            runTransfer(weatherExtendUpdate);
//        } catch (KettleException e) {
//            e.printStackTrace();
//            log.error(weatherExtendUpdate + "异常{}",e.getMessage());
//            builder.append(weatherExtendUpdate).append(";");
//        }
        if (builder.length() > 0){
            return ReturnMsg.returnMsg(false,builder.toString());
        }else {
            return ReturnMsg.returnMsg(true,"执行成功");
        }
    }

}
