package tech.powerjob.work.scheduleWork.GangHang221;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;
import tech.powerjob.work.util.ReturnMsg;
import static tech.powerjob.work.util.runTransfer.runTransfer;

@Slf4j
@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "UTF-8")
public class GangHangJob implements BasicProcessor {
    @Value("${Kettle.Oth05.SomeCertInfo}")
    private String someCertInfo;
//    @Value("${Kettle.Oht05.DeclareCancelTest}")
//    private String declareCancelTest;
    @Override
    public ProcessResult process(TaskContext param){
        StringBuilder builder = new StringBuilder();
        try {
            runTransfer(someCertInfo);
        }catch (Exception e){
            log.error(someCertInfo + "异常{}", e.getMessage());
            builder.append(someCertInfo).append(";");
        }
//        try {
//            runTransfer(declareCancelTest);
//        }catch (Exception e){
//            log.error(declareCancelTest + "异常{}",e.getMessage());
//            builder.append(declareCancelTest).append(";");
//        }
        if (builder.length() > 0){
            return ReturnMsg.returnMsg(false,builder.toString());
        }else {
            return ReturnMsg.returnMsg(true,"success");
        }
    }
}
