package tech.powerjob.work.scheduleWork.HangYe;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;

import static tech.powerjob.work.util.runTransfer.runTransfer;
import tech.powerjob.work.util.ReturnMsg;
@Slf4j
@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "UTF-8")
public class BoatDynamicDataJob implements BasicProcessor {
    @Value("${Kettle.BoatDynamicData}")
    private String boatDynamicData;
@Override
    public ProcessResult process(TaskContext param){
        try {
            runTransfer(boatDynamicData);
        }catch (Exception e){
            log.error(boatDynamicData + "出现异常{}" , e.getMessage());
            return ReturnMsg.returnMsg(false,boatDynamicData);
        }
        return ReturnMsg.returnMsg(true);
    }
}
