package tech.powerjob.work.scheduleWork.HsxBasicInfo;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;

import static tech.powerjob.work.util.runTransfer.runTransfer;
import tech.powerjob.work.util.ReturnMsg;

@Slf4j
@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "UTF-8")
public class HsxBasicInfoJob implements BasicProcessor {
    @Value("${Kettle.Oth05.hsx_basic_info}")
    public String hsxBasicInfo;
    public ProcessResult process(TaskContext param){
        try{
            runTransfer(hsxBasicInfo);
        }catch (Exception e){
            e.getMessage();
            log.error(hsxBasicInfo + "异常{}" , e.getMessage());
            return ReturnMsg.returnMsg(false,hsxBasicInfo);
        }
        return ReturnMsg.returnMsg(true);
    }
}
