package tech.powerjob.work.scheduleWork.LineHYSJZX;

import lombok.extern.slf4j.Slf4j;
import org.pentaho.di.core.exception.KettleException;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;

import static tech.powerjob.work.util.runTransfer.runTransfer;
import tech.powerjob.work.util.ReturnMsg;

@Slf4j
@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "UTF-8")
public class LineToHYSJZXJob implements BasicProcessor {
    @Value("${Kettle.LINE.HYSJZX}")
    private String lineToHYSJZX;

    @Override
    public ProcessResult process(TaskContext taskContext) throws Exception {
        try{
            runTransfer(lineToHYSJZX);
        } catch (KettleException e) {
            e.printStackTrace();
            log.error(lineToHYSJZX + "异常{}",e.getMessage());
            return ReturnMsg.returnMsg(false,lineToHYSJZX);
        }
        return ReturnMsg.returnMsg(true);
    }
}
