package tech.powerjob.work.scheduleWork.MostImportant;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;

import static tech.powerjob.work.util.runTransfer.runTransfer;
import tech.powerjob.work.util.ReturnMsg;

@Slf4j
@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "UTF-8")
public class DangerJob implements BasicProcessor {
    @Value("${Kettle.Oth05.DangerCargo}")
    private String dangerCargo;
    @Value("${Kettle.Oth05.DeleteBoatOver}")
    private String deleteBoatOver;
    @Value("${Kettle.Oth05.BoatMMSI}")
    private String boatMMSI;
    @Value("${Kettle.Oth05.HSCHDeclare}")
    private String hschDeclare;
//    @Value("${Kettle.Oth05.Segment}")
//    private String segment;
    @Value("${Kettle.Oth05.Update_Approval_Data}")
    private String updateApprovalData;
    @Value("${Kettle.Oth05.Enterprise_Basic}")
    private String enterpriseBasic;
    @Value("${Kettle.Oth05.DeleteCertnumber}")
    private String deleteCertnumber;
    @Value("${Kettle.Oth05.PortCompanyInfo}")
    private String portCompanyInfo;
    @Value("${Kettle.Oth05.DangerDeclareInPort}")
    private String dangerDeclareInPort;
    @Value("${Kettle.Oth05.TransEndingData}")
    private String transEndingData;
    @Value("${Kettle.Oth05.DangerDeclareOutPort}")
    private String dangerDeclareOutPort;
    @Value("${Kettle.Oth05.DeleteCancelDeclare}")
    private String deleteCancelDeclare;
    @Value("${Kettle.Oth05.UpdateDangerCargoCode}")
    private String updateDangerCargoCode;
//    @Value("${Kettle.Oth05.UpdateChangeDeclare}")
//    private String updateChangeDeclare;

    @Override
    public ProcessResult process(TaskContext param) {
        StringBuilder builder = new StringBuilder();
        try {
            runTransfer(dangerCargo);
        } catch (Exception e) {
            log.error(dangerCargo + "出现异常{}", e.getMessage());
            builder.append(dangerCargo).append(";");
           return ReturnMsg.returnMsg(false,builder.toString());
        }
        try {
            runTransfer(deleteBoatOver);
        } catch (Exception e) {
            log.error(deleteBoatOver + "出现异常{}", e.getMessage());
            builder.append(deleteBoatOver).append(";");
            return ReturnMsg.returnMsg(false,builder.toString());
        }
        try {
            runTransfer(boatMMSI);
        } catch (Exception e) {
            log.error(boatMMSI + "出现异常{}", e.getMessage());
            builder.append(boatMMSI).append(";");
            return ReturnMsg.returnMsg(false,builder.toString());
        }
        try {
            runTransfer(hschDeclare);
        } catch (Exception e) {
            log.error(hschDeclare + "出现异常{}", e.getMessage());
            builder.append(hschDeclare).append(";");
            return ReturnMsg.returnMsg(false,builder.toString());
        }
//        try {
//            runTransfer(segment);
//        } catch (Exception e) {
//            log.error(segment + "出现异常{}", e.getMessage());
//            builder.append(segment).append(";");
//            return ReturnMsg.returnMsg(false,builder.toString());
//        }
        try {
            runTransfer(updateApprovalData);
        } catch (Exception e) {
            log.error(updateApprovalData + "出现异常{}", e.getMessage());
            builder.append(updateApprovalData).append(";");
            return ReturnMsg.returnMsg(false,builder.toString());
        }
        try {
            runTransfer(updateApprovalData);
        } catch (Exception e) {
            log.error(enterpriseBasic + "出现异常{}", e.getMessage());
            builder.append(updateApprovalData).append(";");
            return ReturnMsg.returnMsg(false,builder.toString());
        }
        try {
            runTransfer(deleteCertnumber);
        } catch (Exception e) {
            log.error(deleteCertnumber + "出现异常{}", e.getMessage());
            builder.append(deleteCertnumber).append(";");
            return ReturnMsg.returnMsg(false,builder.toString());
        }
        try {
            runTransfer(portCompanyInfo);
        } catch (Exception e) {
            log.error(portCompanyInfo + "出现异常{}", e.getMessage());
            builder.append(portCompanyInfo).append(";");
            return ReturnMsg.returnMsg(false,builder.toString());
        }
        try {
            runTransfer(dangerDeclareInPort);
        } catch (Exception e) {
            log.error(dangerDeclareInPort + "出现异常{}", e.getMessage());
            builder.append(dangerDeclareInPort).append(";");
            return ReturnMsg.returnMsg(false,builder.toString());
        }
        try {
            runTransfer(transEndingData);
        } catch (Exception e) {
            log.error(transEndingData + "出现异常{}", e.getMessage());
            builder.append(transEndingData).append(";");
            return ReturnMsg.returnMsg(false,builder.toString());
        }
        try {
            runTransfer(dangerDeclareOutPort);
        } catch (Exception e) {
            log.error(dangerDeclareOutPort + "出现异常{}", e.getMessage());
            builder.append(dangerDeclareOutPort).append(";");
            return ReturnMsg.returnMsg(false,builder.toString());
        }
        try {
            runTransfer(deleteCancelDeclare);
        } catch (Exception e) {
            log.error(deleteCancelDeclare + "出现异常{}", e.getMessage());
            builder.append(deleteCancelDeclare).append(";");
            return ReturnMsg.returnMsg(false,builder.toString());
        }
        try {
            runTransfer(updateDangerCargoCode);
        } catch (Exception e) {
            log.error(updateDangerCargoCode + "出现异常{}", e.getMessage());
            builder.append(updateDangerCargoCode).append(";");
            return ReturnMsg.returnMsg(false,builder.toString());
        }
//        try {
//            runTransfer(updateChangeDeclare);
//        } catch (Exception e) {
//            log.error(updateChangeDeclare + "出现异常{}", e.getMessage());
//            builder.append(updateChangeDeclare).append(";");
//            return ReturnMsg.returnMsg(false,builder.toString());
//        }
        return ReturnMsg.returnMsg(true);
    }
}
