package tech.powerjob.work.scheduleWork.RealTimeHour;

import lombok.extern.slf4j.Slf4j;
import org.pentaho.di.core.exception.KettleException;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;

import static tech.powerjob.work.util.runTransfer.runTransfer;
import tech.powerjob.work.util.ReturnMsg;


//水上交通
@Slf4j
@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "UTF-8")
public class SHJTJob implements BasicProcessor {
    //行政处罚一般程序.ktr
    @Value("${Kettle.XZCF}")
    private String xzcf;
    //水上交通1-事故主表.ktr
    @Value("${Kettle.SHJTAccident}")
    private String shjtAccident;
    //水上交通2-其他事故.ktr
    @Value("${Kettle.SHJTOtherAccident}")
    private String shjtOtherAccident;
    //水上交通3-事故涉事方-事故方.ktr
    @Value("${Kettle.SHJTSGF}")
    private String shjtSgf;
    //水上交通4-事故扩展表.ktr
    @Value("${Kettle.SHJTSGExtend}")
    private String shjtSgExtend;
    //水上交通5-事件接报-突发事件.ktr
    @Value("${Kettle.SHJTSJTUFA}")
    private String shjtSjTuFa;
    //水上交通6-事件接报-突发事件-详情.ktr
    @Value("${Kettle.SHJTSJTUFADetail}")
    private String shjtTuFaDetail;

    @Override
    public ProcessResult process(TaskContext param) {
        StringBuilder builder = new StringBuilder();
        try {
            runTransfer(xzcf);
        } catch (KettleException e) {
            log.error(xzcf + "异常{}", e.getMessage());
            builder.append(xzcf).append(";");
        }
//        try {
//            runTransfer(shjtAccident);
//        } catch (KettleException e) {
//            log.error(shjtAccident + "异常{}", e.getMessage());
//            builder.append(shjtAccident).append(";");
//        }
//        try {
//            runTransfer(shjtOtherAccident);
//        } catch (KettleException e) {
//            builder.append(shjtOtherAccident).append(";");
//            log.error(shjtOtherAccident + "异常{}", e.getMessage());
//        }
//        try {
//            runTransfer(shjtSgExtend);
//        } catch (KettleException e) {
//            builder.append(shjtSgExtend).append(";");
//
//            log.error(shjtSgExtend + "异常{}", e.getMessage());
//        }
//        try {
//            runTransfer(shjtSjTuFa);
//        } catch (KettleException e) {
//            builder.append(shjtSjTuFa).append(";");
//
//            log.error(shjtSjTuFa + "异常{}", e.getMessage());
//        }
//        try {
//            runTransfer(shjtTuFaDetail);
//        } catch (KettleException e) {
//            builder.append(shjtTuFaDetail).append(";");
//            log.error(shjtTuFaDetail + "异常{}", e.getMessage());
//        }
        if (builder.length() > 0){
            return ReturnMsg.returnMsg(false,builder.toString());
        }else {
            return ReturnMsg.returnMsg(true);
        }
    }
}
