package tech.powerjob.work.scheduleWork.Weather;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;

import static tech.powerjob.work.util.runTransfer.runTransfer;
import tech.powerjob.work.util.ReturnMsg;

//2023年8月21日
@Component
@Slf4j
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "UTF-8")
public class WeatherJob implements BasicProcessor {
    @Value("${Kettle.Weather.HYSJZXToPro}")
    private String weatherHysjzxToPro;
//    @Value("${Kettle.Weather.CHSX}")
//    private String weatherChsx;
    @Override
    public ProcessResult process(TaskContext taskContext) throws Exception {
        try {
            runTransfer(weatherHysjzxToPro);
        }catch (Exception e){
            log.error(weatherHysjzxToPro+"执行失败{}",e.getMessage());
            return ReturnMsg.returnMsg(false,weatherHysjzxToPro);
        }
        return ReturnMsg.returnMsg(true);
    }
}
