package tech.powerjob.work.scheduleWork.ZhzxData;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;
import tech.powerjob.work.util.ReturnMsg;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;

import static tech.powerjob.work.util.runTransfer.runTransfer;

@Component
@Slf4j
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "UTF-8")
public class HsjToZhzx implements BasicProcessor {
    @Value("${Kettle.hsjTOzhzx}")
    private String hsjTozhzx;
    @Override
    public ProcessResult process(TaskContext taskContext) throws Exception {
        try {
            runTransfer(hsjTozhzx);
        }catch (Exception e){
            log.error(hsjTozhzx+"执行失败{}",e.getMessage());
            return ReturnMsg.returnMsg(false,hsjTozhzx);
        }
        return ReturnMsg.returnMsg(true);
    }
}