package tech.powerjob.work.scheduleWork.muck;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;

import static tech.powerjob.work.util.runTransfer.runTransfer;
import tech.powerjob.work.util.ReturnMsg;

@Slf4j
@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "UTF-8")
public class muckDeclareJob implements BasicProcessor {

    @Value("${Kettle.Muck_declare}")
    private String muckDeclare;

    @Override
    public ProcessResult process(TaskContext taskContext) throws Exception {
        try {
            runTransfer(muckDeclare);
        } catch (Exception e) {
            log.error(muckDeclare + "异常{}" , e.getMessage());
            return ReturnMsg.returnMsg(false,muckDeclare);
        }
        return ReturnMsg.returnMsg(true);
    }
}
