
package tech.powerjob.work.util;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

public class DateUtils {
    public static final String DATE_FORMAT_10 = "yyyy-MM-dd";
    public static final String DATE_FORMAT_14 = "yyyyMMddHHmmss";
    public static final String DATE_FORMAT_17 = "yyyyMMdd HH:mm:ss";
    public static final String DATE_FORMAT_19 = "yyyy-MM-dd HH:mm:ss";
    public static final String DATE_FORMAT_19_FORWARD_SLASH = "yyyy/MM/dd HH:mm:ss";
    public static final String DATE_FORMAT_11 = "yyyyMMdd";
    public static final String DATE_FORMAT_12 = "yyyy-MM";
    public static final String DATE_FORMAT_13 = "yyyy 年 MM 月";
    public static final String DATE_FORMAT_15 = "yyyy 年 MM 月 dd 日";
    public static final String DATE_FORMAT_16 = "yyyy 年 MM 月 dd 日 HH 时 mm 分 ss 秒";
    public static final long DATE_SECONDS = 1000L;
    public static final long DATE_MINUTE = 60000L;
    public static final long DATE_HOURS = 3600000L;
    public static final long DATE_DAY = 86400000L;

    public DateUtils() {
    }

    public static Date yearAddNum(Date time, Integer num) {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(time);
        calendar.add(1, num);
        Date newTime = calendar.getTime();
        return newTime;
    }

    public static Date monthAddNum(Date time, Integer num) {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(time);
        calendar.add(2, num);
        Date newTime = calendar.getTime();
        return newTime;
    }

    public static boolean isIdenticalMonthDate(Date max, Date min) {
        Calendar calendar1 = Calendar.getInstance();
        calendar1.setTime(max);
        Calendar calendar2 = Calendar.getInstance();
        calendar2.setTime(min);
        return calendar1.get(1) == calendar2.get(1) && calendar1.get(2) == calendar2.get(2);
    }

    public static boolean isIdenticalYearDate(Date max, Date min) {
        Calendar calendar1 = Calendar.getInstance();
        calendar1.setTime(max);
        Calendar calendar2 = Calendar.getInstance();
        calendar2.setTime(min);
        return calendar1.get(1) == calendar2.get(1);
    }

    public static Date dayAddNum(Date time, Integer num) {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(time);
        calendar.add(5, num);
        Date newTime = calendar.getTime();
        return newTime;
    }

    public static boolean isEffectiveDate(Date nowTime, Date startTime, Date endTime) {
        if (nowTime.getTime() != startTime.getTime() && nowTime.getTime() != endTime.getTime()) {
            Calendar date = Calendar.getInstance();
            date.setTime(nowTime);
            Calendar begin = Calendar.getInstance();
            begin.setTime(startTime);
            Calendar end = Calendar.getInstance();
            end.setTime(endTime);
            return date.after(begin) && date.before(end);
        } else {
            return true;
        }
    }

    public static boolean isEffectiveDate(String startTime, String endTime) {
        SimpleDateFormat dfk = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        SimpleDateFormat dfkf = new SimpleDateFormat("yyyy-MM-dd ");
        Date sta = null;

        try {
            sta = dfk.parse(dfkf.format(new Date()) + startTime);
        } catch (ParseException var8) {
            var8.printStackTrace();
        }

        Date ent = null;

        try {
            ent = dfk.parse(dfkf.format(new Date()) + endTime);
        } catch (ParseException var7) {
            var7.printStackTrace();
        }

        return isEffectiveDate(new Date(), sta, ent);
    }

    public static String addDateHOUR(String day, int x) {
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Date date = null;

        try {
            date = format.parse(day);
        } catch (Exception var5) {
            var5.printStackTrace();
        }

        if (date == null) {
            return "";
        } else {
            Calendar cal = Calendar.getInstance();
            cal.setTime(date);
            cal.add(10, x);
            date = cal.getTime();
            cal = null;
            return format.format(date);
        }
    }

    public static String addDateSecond(Date day, int x, String format) {
        long time = (long)(x * 1000);
        Date sec = new Date(day.getTime() + time);
        return dateToString(sec, format);
    }

    public static Date addDateSecond(Date day, int x) {
        long time = (long)(x * 1000);
        Date sec = new Date(day.getTime() + time);
        return sec;
    }

    public static String addDateSecond(String day, int x, String format) throws ParseException {
        Date date = stringToDate(day, format);
        long time = (long)(x * 1000);
        Date sec = new Date(date.getTime() + time);
        return dateToString(sec, "yyyy-MM-dd HH:mm:ss");
    }

    public static String dateToString(Date day, String dateFormat) {
        SimpleDateFormat format = new SimpleDateFormat(dateFormat);
        return format.format(day);
    }

    public static String dateToFormat(String day, String oldFormat, String newFormat) throws ParseException {
        SimpleDateFormat oldformat = new SimpleDateFormat(oldFormat);
        SimpleDateFormat newformat = new SimpleDateFormat(newFormat);
        return newformat.format(oldformat.parse(day));
    }

    public static Date stringToDate(String day, String dateFormat) throws ParseException {
        SimpleDateFormat format = new SimpleDateFormat(dateFormat);
        return format.parse(day);
    }

    public static String addDateMinut(String day, int x) {
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Date date = null;

        try {
            date = format.parse(day);
        } catch (Exception var5) {
            var5.printStackTrace();
        }

        if (date == null) {
            return "";
        } else {
            Calendar cal = Calendar.getInstance();
            cal.setTime(date);
            cal.add(12, x);
            date = cal.getTime();
            cal = null;
            return format.format(date);
        }
    }

    public static String getNowLastDate(Date someDate) {
        Calendar c = Calendar.getInstance();
        c.setTime(someDate);
        c.set(5, c.getActualMaximum(5));
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd");
        String last = format.format(c.getTime());
        return last;
    }

    public static String getNowLastDate(String someDate, String formats) {
        SimpleDateFormat sdf = new SimpleDateFormat(formats);
        Date date = null;

        try {
            date = sdf.parse(someDate);
        } catch (Exception var7) {
            var7.printStackTrace();
        }

        Calendar c = Calendar.getInstance();
        c.setTime(date);
        c.set(5, c.getActualMaximum(5));
        SimpleDateFormat format = new SimpleDateFormat(formats);
        String last = format.format(c.getTime());
        return last;
    }

    public static String getNowTimeString() {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        return sdf.format(new Date());
    }

    public static String getNowTimeStringToDD() {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        return sdf.format(new Date());
    }

    public static String getNowTimeStringToDD(String format) {
        SimpleDateFormat sdf = new SimpleDateFormat(format);
        return sdf.format(new Date());
    }

    public static String getNowTime() {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMddHHmmss");
        return sdf.format(new Date());
    }

    public static String getPreDateByDate(String strData, Integer day) {
        String preDate = "";
        Calendar c = Calendar.getInstance();
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Date date = null;

        try {
            date = sdf.parse(strData);
        } catch (ParseException var7) {
            var7.printStackTrace();
        }

        c.setTime(date);
        int day1 = c.get(5);
        c.set(5, day1 - day);
        preDate = sdf.format(c.getTime());
        return preDate;
    }

    /** @deprecated */
    @Deprecated
    public static int dateDiff(String startTime, String endTime) {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Date startDate = null;

        try {
            startDate = sdf.parse(startTime);
        } catch (ParseException var10) {
            var10.printStackTrace();
        }

        Date endDate = null;

        try {
            endDate = sdf.parse(endTime);
        } catch (ParseException var9) {
            var9.printStackTrace();
        }

        Calendar start = Calendar.getInstance();
        Calendar end = Calendar.getInstance();
        start.setTime(startDate);
        end.setTime(endDate);
        long seconds = (start.getTimeInMillis() - end.getTimeInMillis()) / 1000L;
        return (int)(seconds / 3600L);
    }

    public static int dateDiff(String startTime, String endTime, String formate) {
        SimpleDateFormat sdf = new SimpleDateFormat(formate);
        Date startDate = null;

        try {
            startDate = sdf.parse(startTime);
        } catch (ParseException var11) {
            var11.printStackTrace();
        }

        Date endDate = null;

        try {
            endDate = sdf.parse(endTime);
        } catch (ParseException var10) {
            var10.printStackTrace();
        }

        Calendar start = Calendar.getInstance();
        Calendar end = Calendar.getInstance();
        start.setTime(startDate);
        end.setTime(endDate);
        long seconds = (end.getTimeInMillis() - start.getTimeInMillis()) / 1000L;
        return (int)seconds;
    }

    public static int dateDiff(String startTime, String endTime, String formate, Long dateType) {
        SimpleDateFormat sdf = new SimpleDateFormat(formate);
        Date startDate = null;

        try {
            startDate = sdf.parse(startTime);
        } catch (ParseException var12) {
            var12.printStackTrace();
        }

        Date endDate = null;

        try {
            endDate = sdf.parse(endTime);
        } catch (ParseException var11) {
            var11.printStackTrace();
        }

        Calendar start = Calendar.getInstance();
        Calendar end = Calendar.getInstance();
        start.setTime(startDate);
        end.setTime(endDate);
        long seconds;
        if (dateType != null) {
            if (dateType == 1000L) {
                seconds = (end.getTimeInMillis() - start.getTimeInMillis()) / dateType;
                return (int)seconds;
            } else {
                return (int)((end.getTimeInMillis() - start.getTimeInMillis()) / dateType);
            }
        } else {
            seconds = (end.getTimeInMillis() - start.getTimeInMillis()) / 86400000L;
            return (int)seconds;
        }
    }

    public static int dateDiff(Date startTime, Date endTime) {
        Calendar start = Calendar.getInstance();
        Calendar end = Calendar.getInstance();
        start.setTime(startTime);
        end.setTime(endTime);
        long seconds = (end.getTimeInMillis() - start.getTimeInMillis()) / 1000L;
        return (int)seconds;
    }

    public static int dateDiff(Date startTime, Date endTime, Long dateType) {
        Calendar start = Calendar.getInstance();
        Calendar end = Calendar.getInstance();
        start.setTime(startTime);
        end.setTime(endTime);
        long seconds;
        if (dateType != null) {
            if (dateType == 1000L) {
                seconds = (end.getTimeInMillis() - start.getTimeInMillis()) / dateType;
                return (int)seconds;
            } else {
                return (int)((end.getTimeInMillis() - start.getTimeInMillis()) / dateType);
            }
        } else {
            seconds = (end.getTimeInMillis() - start.getTimeInMillis()) / 86400000L;
            return (int)seconds;
        }
    }

    /** @deprecated */
    @Deprecated
    public static int dateDiffFen(String startTime, String endTime) {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Date startDate = null;

        try {
            startDate = sdf.parse(startTime);
        } catch (ParseException var10) {
            var10.printStackTrace();
        }

        Date endDate = null;

        try {
            endDate = sdf.parse(endTime);
        } catch (ParseException var9) {
            var9.printStackTrace();
        }

        Calendar start = Calendar.getInstance();
        Calendar end = Calendar.getInstance();
        start.setTime(startDate);
        end.setTime(endDate);
        long minute = (start.getTimeInMillis() - end.getTimeInMillis()) / 60000L;
        return (int)minute;
    }

    /** @deprecated */
    @Deprecated
    public static int dateDiffFen(Date startDate, Date endDate) {
        Calendar start = Calendar.getInstance();
        Calendar end = Calendar.getInstance();
        start.setTime(startDate);
        end.setTime(endDate);
        long minute = (start.getTimeInMillis() - end.getTimeInMillis()) / 60000L;
        return (int)minute;
    }

    public static long timeDifference(String startTime, String endTime, String returnType) {
        long result = 0L;

        try {
            SimpleDateFormat simpleFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            Date fromDate2 = simpleFormat.parse(startTime);
            Date toDate2 = simpleFormat.parse(endTime);
            long from2 = fromDate2.getTime();
            long to2 = toDate2.getTime();
            if (returnType == "day") {
                result = (long)((int)((to2 - from2) / 86400000L));
            }

            if (returnType == "hour") {
                result = (long)((int)((to2 - from2) / 3600000L));
            }

            if (returnType == "minute") {
                result = (long)((int)((to2 - from2) / 60000L));
            }

            if (returnType == "second") {
                result = (long)((int)((to2 - from2) / 1000L));
            }

            return result;
        } catch (Exception var12) {
            var12.printStackTrace();
            return result;
        }
    }

    public static boolean isIn(String targetTime, int startOurs, int endOurs) {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Date targetT = null;

        try {
            targetT = sdf.parse(targetTime);
        } catch (ParseException var7) {
            var7.printStackTrace();
        }

        Calendar target = Calendar.getInstance();
        target.setTime(targetT);
        int time = target.get(11);
        System.out.println(time);
        return time >= startOurs && time <= endOurs;
    }

    public static int getSeason(Date dateStr) {
        Calendar c = Calendar.getInstance();
        c.setTime(dateStr);
        int month = c.get(2) + 1;
        if (month >= 1 && month <= 3) {
            return 1;
        } else if (month >= 4 && month <= 6) {
            return 2;
        } else if (month >= 7 && month <= 9) {
            return 3;
        } else {
            return month >= 10 && month <= 12 ? 4 : 0;
        }
    }

    public static Date getCurrentQuarterStartTime(Date dateStr) {
        Calendar c = Calendar.getInstance();
        c.setTime(dateStr);
        int currentMonth = c.get(2) + 1;
        SimpleDateFormat longSdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        SimpleDateFormat shortSdf = new SimpleDateFormat("yyyy-MM-dd");
        Date now = null;

        try {
            if (currentMonth >= 1 && currentMonth <= 3) {
                c.set(2, 0);
            } else if (currentMonth >= 4 && currentMonth <= 6) {
                c.set(2, 3);
            } else if (currentMonth >= 7 && currentMonth <= 9) {
                c.set(2, 6);
            } else if (currentMonth >= 10 && currentMonth <= 12) {
                c.set(2, 9);
            }

            c.set(5, 1);
            now = longSdf.parse(shortSdf.format(c.getTime()) + " 00:00:00");
        } catch (Exception var7) {
            var7.printStackTrace();
        }

        return now;
    }

    public static Date getCurrentQuarterEndTime(Date dateStr) {
        Calendar cal = Calendar.getInstance();
        cal.setTime(getCurrentQuarterStartTime(dateStr));
        cal.add(2, 3);
        cal.set(5, 0);
        Date now = null;
        SimpleDateFormat longSdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        SimpleDateFormat shortSdf = new SimpleDateFormat("yyyy-MM-dd");

        try {
            now = longSdf.parse(shortSdf.format(cal.getTime()) + " 23:59:59");
        } catch (ParseException var6) {
            var6.printStackTrace();
        }

        return now;
    }

    public static Date getTimesMonthmorning(Date dateStr) {
        Calendar cal = Calendar.getInstance();
        cal.setTime(dateStr);
        cal.set(5, cal.getActualMinimum(5));
        return cal.getTime();
    }

    public static Date getTimesMonthnight(Date dateStr) {
        Calendar cal = Calendar.getInstance();
        cal.setTime(dateStr);
        cal.set(5, cal.getActualMaximum(5));
        cal.set(11, 24);
        return cal.getTime();
    }

    public static Date getCurrentYearStartTime(Date dateStr) {
        Calendar cal = Calendar.getInstance();
        cal.setTime(dateStr);
        cal.set(5, cal.getActualMinimum(1));
        return cal.getTime();
    }

    public static Date getCurrentYearEndTime(Date dateStr) {
        Calendar cal = Calendar.getInstance();
        cal.setTime(getCurrentYearStartTime(dateStr));
        cal.add(1, 1);
        return cal.getTime();
    }

    public static int getYear(Date dateStr) {
        Calendar c = Calendar.getInstance();
        c.setTime(dateStr);
        return c.get(1);
    }
}
