package tech.powerjob.work.util;

import lombok.extern.slf4j.Slf4j;
import org.pentaho.di.core.KettleEnvironment;
import org.pentaho.di.core.exception.KettleException;
import org.pentaho.di.core.util.EnvUtil;
import org.pentaho.di.trans.Trans;
import org.pentaho.di.trans.TransMeta;

@Slf4j
public class runTransfer {
    public static void runTransfer(String kettleFilePath) throws KettleException {
        KettleEnvironment.init();
        EnvUtil.environmentInit();
        TransMeta transMeta = new TransMeta(kettleFilePath);
        Trans trans = new Trans(transMeta);
        trans.execute(null);
        trans.waitUntilFinished();
        boolean finished = trans.isFinished();
        if (finished) {
            if (trans.getErrors() > 0) {
                String[] split = kettleFilePath.split("/");
                String s = split[split.length - 1];
                log.error("{}出现异常", s);
            }
        }
    }
}
